Get transaction information
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/connections/{connection_id}/transactionsimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/connections/{connection_id}/transactions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/connections/{connection_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_on": "2024-05-15T12:34:56Z",
"method": "POST",
"route": "/consumers/a65f95f4-7188-4866-a3ff-eb0fe17958c3/accounting/suppliers",
"status_code": 200,
"created_entity_id": "inv_123"
}{
"message": "The specified transaction could not be found",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API transactions
Get transaction information
Returns the API transaction matching the given client_request_id, allowing you to trace the outcome of a specific request made on behalf of a consumer.
GET
/
consumers
/
{consumer_id}
/
connections
/
{connection_id}
/
transactions
Get transaction information
Learn more:
Query Parameters
Response
Successful Response
Date and time when the API transaction started (UTC).
Example:
"2024-05-15T12:34:56Z"
HTTP method of the original request.
Available options:
GET, POST, PUT, PATCH, DELETE, HEAD, OPTIONS Example:
"POST"
Path of the original request.
Example:
"/consumers/a65f95f4-7188-4866-a3ff-eb0fe17958c3/accounting/suppliers"
HTTP status code returned by the original request.
Example:
200
Identifier of the entity created by the request, when applicable (typically for POST).
Example:
"inv_123"